Skip to main content
POST
/
users
/
generateApiKey
Generate Pinata API Key
curl --request POST \
  --url https://api.pinata.cloud/users/generateApiKey \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keyName": "<string>",
  "permissions": {
    "admin": true,
    "endpoints": {
      "data": {
        "pinList": true,
        "userPinnedDataTotal": true
      },
      "pinning": {
        "hashMetadata": true,
        "hashPinPolicy": true,
        "pinByHash": true,
        "pinFileToIPFS": true,
        "pinJSONToIPFS": true,
        "pinJobs": true,
        "unpin": true,
        "userPinPolicy": true
      }
    }
  },
  "maxUses": 123
}
'
import requests

url = "https://api.pinata.cloud/users/generateApiKey"

payload = {
"keyName": "<string>",
"permissions": {
"admin": True,
"endpoints": {
"data": {
"pinList": True,
"userPinnedDataTotal": True
},
"pinning": {
"hashMetadata": True,
"hashPinPolicy": True,
"pinByHash": True,
"pinFileToIPFS": True,
"pinJSONToIPFS": True,
"pinJobs": True,
"unpin": True,
"userPinPolicy": True
}
}
},
"maxUses": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
keyName: '<string>',
permissions: {
admin: true,
endpoints: {
data: {pinList: true, userPinnedDataTotal: true},
pinning: {
hashMetadata: true,
hashPinPolicy: true,
pinByHash: true,
pinFileToIPFS: true,
pinJSONToIPFS: true,
pinJobs: true,
unpin: true,
userPinPolicy: true
}
}
},
maxUses: 123
})
};

fetch('https://api.pinata.cloud/users/generateApiKey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Body is comprised of keyName, permissions, and maxUses (optional).

keyName
string
required
permissions
object
required
maxUses
integer

Response

{ "pinata_api_key": "KEY", "pinata_api_secret": "SECRET", "JWT": "JWT" }